function love.load()
	texture = love.graphics.newImage("texture.png")
	texture:setWrap("repeat","repeat")
	vertices = {
		{0,0,	0,1,	255,255,255,255},
		{128,0,	1,1,	255,255,255,255},
		{128,128,	1,0,	255,255,255,255},
		{0,128,	0,0,	255,255,255,255},
	}
	mesh = love.graphics.newMesh(vertices,"fan")
	mesh:setTexture(texture)
end

function love.draw()
	love.graphics.draw(mesh)
end

function love.update(dt)
	-- modify data of top-right, bottom-right and bottom-left vertices
	local x,y, u,v, r,g,b,a = mesh:getVertex(2)
	x = x+dt*10
	u = u+dt
	mesh:setVertex(2,x,y, u,v, r,g,b,a)
	
	x,y, u,v, r,g,b,a = mesh:getVertex(3)
	x = x+dt*10
	y = y+dt*10
	u = u+dt
	v = v-dt
	mesh:setVertex(3,x,y, u,v, r,g,b,a)
	
	x,y, u,v, r,g,b,a = mesh:getVertex(4)
	y = y+dt*10
	v = v-dt
	mesh:setVertex(4,x,y, u,v, r,g,b,a)
end